Se siete passati di recente all’API 23 di Android, potreste avere problemi con l’utilizzo di HttpClient e con il suo import

import org.apache.http.client.HttpClient;

che potrebbe restituirvi degli errori come

Cannot resolve symbol HttpClient

HttpClient era già deprecated nell’API 22 ed è stato rimosso nell’API 23.

Sarebbe meglio aggiornare il vostro codice in modo che utilizzi i metodi nuovi, ma nel frattempo potete aggirare il problema aggiungendo questa semplice riga al vostro file build.gradle:

android {
useLibrary 'org.apache.http.legacy'
}